<?session_start();
require("../conectar.php");
require("funcionesphp.php");

$fi=$_POST['finicial'];
$fi=$_POST['ffinal'];
$periodo=$_POST['periodomes'];
$md=$_POST['me'];
$anio=$_POST['anio'];
$fechareg=date('Y-m-d');
$idnomina=$_POST['idnomina'];
$idempleado=$_POST['idempleado'];
$sueldobase=$_POST['sueldobase'];
$diastrabajados=$_POST['ddiastrabajados'];
$sueldodia=$_POST['sueldodia'];
$impremanente=$_POST['imprem'];
$comisiones=$_POST['comisiones'];
$bonotranscel=$_POST['bono'];
$bonopuntualidad=$_POST['extra'];
$bonoplantrabajo=$_POST['aguinaldo'];
$bonootros=$_POST['ajuste'];
$descuento=$_POST['descuento'];
$ttotal=$_POST['ttotal'];
$observacion=$_POST['obs'];
$autorizadodir=$_POST['aurotizado'];
$dia=date('d');
$numero=$_POST['ultimo'];
$obsdir=$_POST['obsdir'];
if ($dia >= 07 && $dia <= 20){
$sqlV="SELECT Quincena,Mes,Ano,IdNomina FROM nominas WHERE IdNomina='$idnomina' and fechapago='0000-00-00'";
$eje=mysql_query($sqlV);
$reg=mysql_fetch_array($eje);
$cuantos=mysql_num_rows($eje);
$nomina=$reg['IdNomina'];
if($cuantos>0){//SI LA NOMINA YA FUE GENERADA
   if($autorizadodir=='si'){
     	  	$sqlU="UPDATE `nominas` 
		      SET `autoriza`='si' WHERE IdNomina='$nomina'";	 
            mysql_query($sqlU);
   }
   

    for ($i = 1; $i < $numero+1; $i++) {
	  $autoriza="autoriza".$i;
	  $autorizaemp=$_POST[$autoriza];
	  $aid="idempleados".$i;
	  $idempl=$_POST[$aid];
	  if($autorizaemp=='on'){
        $val="si";	
	  	$sqlU="UPDATE `nominadet` 
		      SET `autoriza`='$val' WHERE IdNomina='$nomina' AND idempleado='$idempl'";	 
      mysql_query($sqlU);		
	  }
    }
if(count($idempleado)!=0)
  {
    foreach($idempleado as $indice=>$valor)
	   {
		$sql="UPDATE `nominadet` 
		      SET `SueldoBase`='$sueldobase[$indice]', 
			     `DiasTrab`='$diastrabajados[$indice]',
 				 `RemxDia`='$sueldodia[$indice]', 
				 `ImporteRemanente`='$impremanente[$indice]',
				 `Comisiones`='$comisiones[$indice]',
				 `BonoCelTrans`='$bonotranscel[$indice]',
				 `BonoPuntualidad`='$bonopuntualidad[$indice]',
				 `BonoPlanTrabajo`='$bonoplantrabajo[$indice]',
				 `BonoOtros`='$bonootros[$indice]',
				 `Descuento`='$descuento[$indice]',
				 `Total`='$ttotal[$indice]',
				 `Observaciones`='$observacion[$indice]',
				 `obsdir`='$obsdir[$indice]'
			 WHERE IdNomina='$nomina' AND idempleado=$idempleado[$indice]";	 
		mysql_query($sql);
	  }
  }
 echo "<center>LA NOMINA SE ACTUALIZO CORRECTAMENTE</center>";
}else{//SI LA NOMINA NO HA SIDO GENERADA


//fechas del primer periodo
$diapagoini_1p=3;
$diapagofin_1p=17;
//fechas del primer periodo
$m1ra=mes($md);
$fcomisionini="$anio-$m1ra-$diapagoini_1p";
$fcomisionfin="$anio-$m1ra-$diapagofin_1p";

$fechanomina="$anio-$m1ra-20";

$sql="insert into nominas (Fecha, FechaNomina, Tipo, Quincena, Mes, Ano,FComisionIni, FComisionFin,genera) values('$fechareg', '$fechanomina', 'VENTAS', '$periodo', '$md', '$anio','$fcomisionini', '$fcomisionfin', '$usuario_login')";
mysql_query($sql);

$sql="select IdNomina from nominas where tipo='VENTAS' and quincena='$periodo' and mes='$md' and ano='$anio'";
$r=mysql_query($sql);
$l=mysql_fetch_object ($r);
$idnomina=$l->IdNomina;
mysql_free_result($r);
if(count($idempleado)!=0)
  {
    foreach($idempleado as $indice=>$valor)
	   {
		$sql="INSERT INTO `nominadet` (`IdNomina`, `IdEmpleado`, `SueldoBase`, `DiasTrab`, `RemxDia`, `ImporteRemanente`, `Comisiones`, `BonoCelTrans`, `BonoPuntualidad`, `BonoPlanTrabajo`, `BonoOtros`, `Descuento`, `Total`, `Observaciones`) VALUES
		('$idnomina', '$idempleado[$indice]', '$sueldobase[$indice]', '$diastrabajados[$indice]', '$sueldodia[$indice]','$impremanente[$indice]', '$comisiones[$indice]','$bonotranscel[$indice]', '$bonopuntualidad[$indice]', '$bonoplantrabajo[$indice]', '$bonootros[$indice]', '$descuento[$indice]', '$ttotal[$indice]', '$observacion[$indice]')";
		mysql_query($sql);
	  }
  }
  echo "<center>LA NOMINA SE GENERÓ CORRECTAMENTE</center>";
}
}else{
      echo "<center>LA NOMINA YA NO SE PUEDE MODIFICAR</center>";
     }
?>